> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Test in the sandbox first: base URL https://api-sandbox.y.uno (Test Mode in the Dashboard). Production is https://api.y.uno (Live Mode).
> Every API request needs the public-api-key and private-secret-key headers. Get them in the Dashboard at https://dashboard.y.uno/developers (Developers > Credentials); sandbox and production keys are different.
> Send an X-Idempotency-Key (a UUID) when creating payments, refunds and cancels, so retries do not create duplicates.
> Start with the Quickstart (https://docs.y.uno/docs/quickstart.md) and the agent guide (https://docs.y.uno/agents.md). To search these docs from a coding agent, connect the docs MCP server at https://docs.y.uno/mcp.

# Actualizar cliente

> Actualiza campos de un cliente existente, modificando solo los valores incluidos en la solicitud

Puedes actualizar un cliente creado anteriormente con la solicitud de API `POST/customers`. El único campo obligatorio de la solicitud es el `id` del cliente. Los demás campos admitidos en la solicitud son iguales a los del proceso de creación del cliente.

Solo debes especificar los campos que quieres actualizar. Todos los campos se pueden actualizar.


## OpenAPI

````yaml openapi/es/customers/update-customer.json PATCH /customers/{id}
openapi: 3.1.0
info:
  title: customer-api
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
    description: Sandbox
  - url: https://api.y.uno/v1
    description: Production (US)
security:
  - sec0: []
    sec1: []
paths:
  /customers/{id}:
    patch:
      summary: Actualizar cliente
      operationId: update-customer
      parameters:
        - name: id
          in: path
          description: El identificador único del cliente (UUID | MAX 36; MIN 36).
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                merchant_customer_id:
                  type: string
                  description: >-
                    El identificador único del cliente en el comercio externo
                    (MAX 255; MIN 3).
                merchant_customer_created_at:
                  type: string
                  description: >-
                    Fecha de registro del cliente en la plataforma del comercio
                    (ISO 8601 MAX 27; MIN 27)
                  format: date-time
                first_name:
                  type: string
                  description: El nombre del cliente (MAX 255; MIN 3).
                last_name:
                  type: string
                  description: El apellido del cliente (MAX 255; MIN 3).
                gender:
                  type: string
                  description: El género del cliente.
                date_of_birth:
                  type: string
                  description: >-
                    La fecha de nacimiento del cliente en formato YYYY-MM-DD
                    (MAX 10; MIN 10).
                email:
                  type: string
                  description: El correo electrónico del cliente (MAX 255; MIN 3).
                nationality:
                  type: string
                  description: >-
                    La nacionalidad del cliente (MAX 2; MIN 2; [ISO
                    3166-1](country-reference)).
                  enum:
                    - AF
                    - AX
                    - AL
                    - DZ
                    - AS
                    - AD
                    - AO
                    - AI
                    - AQ
                    - AG
                    - AR
                    - AM
                    - AW
                    - AU
                    - AT
                    - AZ
                    - BS
                    - BH
                    - BD
                    - BB
                    - BY
                    - BE
                    - BZ
                    - BJ
                    - BM
                    - BT
                    - BO
                    - BQ
                    - BA
                    - BW
                    - BV
                    - BR
                    - IO
                    - BN
                    - BG
                    - BF
                    - BI
                    - CV
                    - KH
                    - CM
                    - CA
                    - KY
                    - CF
                    - TD
                    - CL
                    - CN
                    - CX
                    - CC
                    - CO
                    - KM
                    - CG
                    - CD
                    - CK
                    - CR
                    - CI
                    - HR
                    - CU
                    - CW
                    - CY
                    - CZ
                    - DK
                    - DJ
                    - DM
                    - DO
                    - EC
                    - EG
                    - SZ
                    - GQ
                    - ER
                    - EE
                    - ET
                    - FK
                    - FO
                    - FJ
                    - FI
                    - FR
                    - GF
                    - PF
                    - TF
                    - GA
                    - GM
                    - GE
                    - DE
                    - GH
                    - GI
                    - GR
                    - GL
                    - GD
                    - GP
                    - GU
                    - GT
                    - GG
                    - GN
                    - GW
                    - GY
                    - HT
                    - HM
                    - VA
                    - HN
                    - HK
                    - HU
                    - IS
                    - IN
                    - ID
                    - IR
                    - IQ
                    - IE
                    - IM
                    - IL
                    - IT
                    - JM
                    - JP
                    - JE
                    - JO
                    - KZ
                    - KE
                    - KI
                    - KR
                    - KW
                    - KG
                    - LA
                    - LV
                    - LB
                    - LS
                    - LR
                    - LY
                    - LI
                    - LT
                    - LU
                    - MO
                    - MK
                    - MG
                    - MW
                    - MY
                    - MV
                    - ML
                    - MT
                    - MH
                    - MQ
                    - MR
                    - MU
                    - YT
                    - MX
                    - FM
                    - MD
                    - MC
                    - MN
                    - ME
                    - MS
                    - MA
                    - MZ
                    - MM
                    - NA
                    - NR
                    - NP
                    - NL
                    - NC
                    - NZ
                    - NI
                    - NE
                    - NG
                    - NU
                    - NF
                    - MP
                    - 'NO'
                    - OM
                    - PK
                    - PW
                    - PS
                    - PA
                    - PG
                    - PY
                    - PE
                    - PH
                    - PN
                    - PL
                    - PT
                    - PR
                    - QA
                    - RE
                    - RO
                    - RU
                    - RW
                    - BL
                    - SH
                    - KN
                    - LC
                    - MF
                    - PM
                    - VC
                    - WS
                    - SM
                    - ST
                    - SA
                    - SN
                    - RS
                    - SC
                    - SL
                    - SG
                    - SX
                    - SK
                    - SI
                    - SB
                    - SO
                    - ZA
                    - GS
                    - SS
                    - ES
                    - LK
                    - SD
                    - SR
                    - SJ
                    - SE
                    - CH
                    - SY
                    - TW
                    - TJ
                    - TZ
                    - TH
                    - TL
                    - TG
                    - TK
                    - TO
                    - TT
                    - TN
                    - TR
                    - TM
                    - TC
                    - TV
                    - UG
                    - UA
                    - AE
                    - GB
                    - US
                    - UM
                    - UY
                    - UZ
                    - VU
                    - VE
                    - VN
                    - VG
                    - VI
                    - WF
                    - EH
                    - YE
                    - ZM
                    - ZW
                country:
                  type: string
                  description: >-
                    El país del cliente (MAX 2; MIN 2; [ISO
                    3166-1](country-reference)).
                  enum:
                    - AF
                    - AX
                    - AL
                    - DZ
                    - AS
                    - AD
                    - AO
                    - AI
                    - AQ
                    - AG
                    - AR
                    - AM
                    - AW
                    - AU
                    - AT
                    - AZ
                    - BS
                    - BH
                    - BD
                    - BB
                    - BY
                    - BE
                    - BZ
                    - BJ
                    - BM
                    - BT
                    - BO
                    - BQ
                    - BA
                    - BW
                    - BV
                    - BR
                    - IO
                    - BN
                    - BG
                    - BF
                    - BI
                    - CV
                    - KH
                    - CM
                    - CA
                    - KY
                    - CF
                    - TD
                    - CL
                    - CN
                    - CX
                    - CC
                    - CO
                    - KM
                    - CG
                    - CD
                    - CK
                    - CR
                    - CI
                    - HR
                    - CU
                    - CW
                    - CY
                    - CZ
                    - DK
                    - DJ
                    - DM
                    - DO
                    - EC
                    - EG
                    - SZ
                    - GQ
                    - ER
                    - EE
                    - ET
                    - FK
                    - FO
                    - FJ
                    - FI
                    - FR
                    - GF
                    - PF
                    - TF
                    - GA
                    - GM
                    - GE
                    - DE
                    - GH
                    - GI
                    - GR
                    - GL
                    - GD
                    - GP
                    - GU
                    - GT
                    - GG
                    - GN
                    - GW
                    - GY
                    - HT
                    - HM
                    - VA
                    - HN
                    - HK
                    - HU
                    - IS
                    - IN
                    - ID
                    - IR
                    - IQ
                    - IE
                    - IM
                    - IL
                    - IT
                    - JM
                    - JP
                    - JE
                    - JO
                    - KZ
                    - KE
                    - KI
                    - KR
                    - KW
                    - KG
                    - LA
                    - LV
                    - LB
                    - LS
                    - LR
                    - LY
                    - LI
                    - LT
                    - LU
                    - MO
                    - MK
                    - MG
                    - MW
                    - MY
                    - MV
                    - ML
                    - MT
                    - MH
                    - MQ
                    - MR
                    - MU
                    - YT
                    - MX
                    - FM
                    - MD
                    - MC
                    - MN
                    - ME
                    - MS
                    - MA
                    - MZ
                    - MM
                    - NA
                    - NR
                    - NP
                    - NL
                    - NC
                    - NZ
                    - NI
                    - NE
                    - NG
                    - NU
                    - NF
                    - MP
                    - 'NO'
                    - OM
                    - PK
                    - PW
                    - PS
                    - PA
                    - PG
                    - PY
                    - PE
                    - PH
                    - PN
                    - PL
                    - PT
                    - PR
                    - QA
                    - RE
                    - RO
                    - RU
                    - RW
                    - BL
                    - SH
                    - KN
                    - LC
                    - MF
                    - PM
                    - VC
                    - WS
                    - SM
                    - ST
                    - SA
                    - SN
                    - RS
                    - SC
                    - SL
                    - SG
                    - SX
                    - SK
                    - SI
                    - SB
                    - SO
                    - ZA
                    - GS
                    - SS
                    - ES
                    - LK
                    - SD
                    - SR
                    - SJ
                    - SE
                    - CH
                    - SY
                    - TW
                    - TJ
                    - TZ
                    - TH
                    - TL
                    - TG
                    - TK
                    - TO
                    - TT
                    - TN
                    - TR
                    - TM
                    - TC
                    - TV
                    - UG
                    - UA
                    - AE
                    - GB
                    - US
                    - UM
                    - UY
                    - UZ
                    - VU
                    - VE
                    - VN
                    - VG
                    - VI
                    - WF
                    - EH
                    - YE
                    - ZM
                    - ZW
                document:
                  type: object
                  description: >-
                    Indica el objeto del documento del cliente, con su número y
                    su tipo.
                  properties:
                    document_number:
                      type: string
                      description: El número de documento del cliente (MAX 40; MIN 3).
                    document_type:
                      type: string
                      description: >-
                        El tipo de documento del cliente (MAX 6, MIN 3;
                        [Referencia de países](country-reference)).
                phone:
                  type: object
                  description: Indica el objeto del número de teléfono del cliente.
                  properties:
                    country_code:
                      type: string
                      description: >-
                        El código de país del teléfono del cliente (MAX 3; MIN
                        1). Valores posibles: consulta la [Referencia de
                        países.](country-reference)
                    number:
                      type: string
                      description: >-
                        El número de teléfono del cliente, sin el código de país
                        (MAX 32; MIN 1).
                billing_address:
                  type: object
                  description: Indica el objeto de la dirección de facturación del cliente.
                  properties:
                    address_line_1:
                      type: string
                      description: >-
                        La línea principal de la dirección de facturación del
                        cliente (MAX 255; MIN 3).
                    address_line_2:
                      type: string
                      description: >-
                        La línea secundaria de la dirección de facturación del
                        cliente (MAX 255; MIN 3).
                    city:
                      type: string
                      description: >-
                        La ciudad considerada para la dirección de facturación
                        (MAX 255; MIN 3).
                    country:
                      type: string
                      description: >-
                        El país considerado para la dirección de facturación
                        (MAX 2; MIN 2; [ISO 3166-1](country-reference)).
                      enum:
                        - AF
                        - AX
                        - AL
                        - DZ
                        - AS
                        - AD
                        - AO
                        - AI
                        - AQ
                        - AG
                        - AR
                        - AM
                        - AW
                        - AU
                        - AT
                        - AZ
                        - BS
                        - BH
                        - BD
                        - BB
                        - BY
                        - BE
                        - BZ
                        - BJ
                        - BM
                        - BT
                        - BO
                        - BQ
                        - BA
                        - BW
                        - BV
                        - BR
                        - IO
                        - BN
                        - BG
                        - BF
                        - BI
                        - CV
                        - KH
                        - CM
                        - CA
                        - KY
                        - CF
                        - TD
                        - CL
                        - CN
                        - CX
                        - CC
                        - CO
                        - KM
                        - CG
                        - CD
                        - CK
                        - CR
                        - CI
                        - HR
                        - CU
                        - CW
                        - CY
                        - CZ
                        - DK
                        - DJ
                        - DM
                        - DO
                        - EC
                        - EG
                        - SZ
                        - GQ
                        - ER
                        - EE
                        - ET
                        - FK
                        - FO
                        - FJ
                        - FI
                        - FR
                        - GF
                        - PF
                        - TF
                        - GA
                        - GM
                        - GE
                        - DE
                        - GH
                        - GI
                        - GR
                        - GL
                        - GD
                        - GP
                        - GU
                        - GT
                        - GG
                        - GN
                        - GW
                        - GY
                        - HT
                        - HM
                        - VA
                        - HN
                        - HK
                        - HU
                        - IS
                        - IN
                        - ID
                        - IR
                        - IQ
                        - IE
                        - IM
                        - IL
                        - IT
                        - JM
                        - JP
                        - JE
                        - JO
                        - KZ
                        - KE
                        - KI
                        - KR
                        - KW
                        - KG
                        - LA
                        - LV
                        - LB
                        - LS
                        - LR
                        - LY
                        - LI
                        - LT
                        - LU
                        - MO
                        - MK
                        - MG
                        - MW
                        - MY
                        - MV
                        - ML
                        - MT
                        - MH
                        - MQ
                        - MR
                        - MU
                        - YT
                        - MX
                        - FM
                        - MD
                        - MC
                        - MN
                        - ME
                        - MS
                        - MA
                        - MZ
                        - MM
                        - NA
                        - NR
                        - NP
                        - NL
                        - NC
                        - NZ
                        - NI
                        - NE
                        - NG
                        - NU
                        - NF
                        - MP
                        - 'NO'
                        - OM
                        - PK
                        - PW
                        - PS
                        - PA
                        - PG
                        - PY
                        - PE
                        - PH
                        - PN
                        - PL
                        - PT
                        - PR
                        - QA
                        - RE
                        - RO
                        - RU
                        - RW
                        - BL
                        - SH
                        - KN
                        - LC
                        - MF
                        - PM
                        - VC
                        - WS
                        - SM
                        - ST
                        - SA
                        - SN
                        - RS
                        - SC
                        - SL
                        - SG
                        - SX
                        - SK
                        - SI
                        - SB
                        - SO
                        - ZA
                        - GS
                        - SS
                        - ES
                        - LK
                        - SD
                        - SR
                        - SJ
                        - SE
                        - CH
                        - SY
                        - TW
                        - TJ
                        - TZ
                        - TH
                        - TL
                        - TG
                        - TK
                        - TO
                        - TT
                        - TN
                        - TR
                        - TM
                        - TC
                        - TV
                        - UG
                        - UA
                        - AE
                        - GB
                        - US
                        - UM
                        - UY
                        - UZ
                        - VU
                        - VE
                        - VN
                        - VG
                        - VI
                        - WF
                        - EH
                        - YE
                        - ZM
                        - ZW
                    state:
                      type: string
                      description: >-
                        El estado considerado para la dirección de facturación
                        (MAX 255; MIN 3).
                    zip_code:
                      type: string
                      description: >-
                        El código postal considerado para la dirección de
                        facturación (MAX 10; MIN 5).
                    neighborhood:
                      type: string
                      description: >-
                        El barrio de la línea de dirección del cliente (MAX 255;
                        MIN 1).
                shipping_address:
                  type: object
                  description: Indica el objeto de la dirección de envío del cliente.
                  properties:
                    address_line_1:
                      type: string
                      description: >-
                        La línea principal de la dirección de envío del cliente
                        (MAX 255; MIN 3).
                    address_line_2:
                      type: string
                      description: >-
                        La línea secundaria de la dirección de envío del cliente
                        (MAX 255; MIN 3).
                    city:
                      type: string
                      description: >-
                        La ciudad considerada para la dirección de envío (MAX
                        255; MIN 3).
                    country:
                      type: string
                      description: >-
                        El país considerado para la dirección de envío (MAX 2;
                        MIN 2; [ISO 3166-1](country-reference)).
                      enum:
                        - AF
                        - AX
                        - AL
                        - DZ
                        - AS
                        - AD
                        - AO
                        - AI
                        - AQ
                        - AG
                        - AR
                        - AM
                        - AW
                        - AU
                        - AT
                        - AZ
                        - BS
                        - BH
                        - BD
                        - BB
                        - BY
                        - BE
                        - BZ
                        - BJ
                        - BM
                        - BT
                        - BO
                        - BQ
                        - BA
                        - BW
                        - BV
                        - BR
                        - IO
                        - BN
                        - BG
                        - BF
                        - BI
                        - CV
                        - KH
                        - CM
                        - CA
                        - KY
                        - CF
                        - TD
                        - CL
                        - CN
                        - CX
                        - CC
                        - CO
                        - KM
                        - CG
                        - CD
                        - CK
                        - CR
                        - CI
                        - HR
                        - CU
                        - CW
                        - CY
                        - CZ
                        - DK
                        - DJ
                        - DM
                        - DO
                        - EC
                        - EG
                        - SZ
                        - GQ
                        - ER
                        - EE
                        - ET
                        - FK
                        - FO
                        - FJ
                        - FI
                        - FR
                        - GF
                        - PF
                        - TF
                        - GA
                        - GM
                        - GE
                        - DE
                        - GH
                        - GI
                        - GR
                        - GL
                        - GD
                        - GP
                        - GU
                        - GT
                        - GG
                        - GN
                        - GW
                        - GY
                        - HT
                        - HM
                        - VA
                        - HN
                        - HK
                        - HU
                        - IS
                        - IN
                        - ID
                        - IR
                        - IQ
                        - IE
                        - IM
                        - IL
                        - IT
                        - JM
                        - JP
                        - JE
                        - JO
                        - KZ
                        - KE
                        - KI
                        - KR
                        - KW
                        - KG
                        - LA
                        - LV
                        - LB
                        - LS
                        - LR
                        - LY
                        - LI
                        - LT
                        - LU
                        - MO
                        - MK
                        - MG
                        - MW
                        - MY
                        - MV
                        - ML
                        - MT
                        - MH
                        - MQ
                        - MR
                        - MU
                        - YT
                        - MX
                        - FM
                        - MD
                        - MC
                        - MN
                        - ME
                        - MS
                        - MA
                        - MZ
                        - MM
                        - NA
                        - NR
                        - NP
                        - NL
                        - NC
                        - NZ
                        - NI
                        - NE
                        - NG
                        - NU
                        - NF
                        - MP
                        - 'NO'
                        - OM
                        - PK
                        - PW
                        - PS
                        - PA
                        - PG
                        - PY
                        - PE
                        - PH
                        - PN
                        - PL
                        - PT
                        - PR
                        - QA
                        - RE
                        - RO
                        - RU
                        - RW
                        - BL
                        - SH
                        - KN
                        - LC
                        - MF
                        - PM
                        - VC
                        - WS
                        - SM
                        - ST
                        - SA
                        - SN
                        - RS
                        - SC
                        - SL
                        - SG
                        - SX
                        - SK
                        - SI
                        - SB
                        - SO
                        - ZA
                        - GS
                        - SS
                        - ES
                        - LK
                        - SD
                        - SR
                        - SJ
                        - SE
                        - CH
                        - SY
                        - TW
                        - TJ
                        - TZ
                        - TH
                        - TL
                        - TG
                        - TK
                        - TO
                        - TT
                        - TN
                        - TR
                        - TM
                        - TC
                        - TV
                        - UG
                        - UA
                        - AE
                        - GB
                        - US
                        - UM
                        - UY
                        - UZ
                        - VU
                        - VE
                        - VN
                        - VG
                        - VI
                        - WF
                        - EH
                        - YE
                        - ZM
                        - ZW
                    state:
                      type: string
                      description: >-
                        El estado considerado para la dirección de envío (MAX
                        255; MIN 3).
                    zip_code:
                      type: string
                      description: >-
                        El código postal considerado para la dirección de envío
                        (MAX 10; MIN 5).
                    neighborhood:
                      type: string
                      description: >-
                        El barrio de la línea de dirección del cliente (MAX 255;
                        MIN 1).
                metadata:
                  type: array
                  description: >-
                    Especifica una lista de objetos de metadatos. Puedes agregar
                    hasta 50 objetos de metadatos.
                  items:
                    properties:
                      key:
                        type: string
                        description: La clave de la metadata (MAX 48).
                      value:
                        type: string
                        description: El valor de la clave de la metadata (MAX 512).
                    required:
                      - key
                      - value
                    type: object
            examples:
              update:
                value:
                  email: john.doe2@gmail.com
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                update:
                  value:
                    id: 94121f98-98f7-4d57-aa5f-228401d35b12
                    merchant_customer_id: '1744402154'
                    first_name: John
                    last_name: Doe
                    gender: F
                    date_of_birth: '1990-02-28'
                    email: john.doe2@gmail.com
                    nationality: CO
                    country: CO
                    document:
                      document_type: CC
                      document_number: '1010268952'
                    phone:
                      number: '3132450765'
                      country_code: '57'
                    billing_address:
                      address_line_1: 'Calle 34 # 56 - 78'
                      address_line_2: Apartamento 502, Torre I
                      country: CO
                      state: Cundinamarca
                      city: Bogotá
                      zip_code: '111111'
                      neighborhood: Test
                    shipping_address:
                      address_line_1: 'Calle 34 # 56 - 78'
                      address_line_2: Apartamento 502, Torre I
                      country: CO
                      state: Cundinamarca
                      city: Bogotá
                      zip_code: '111111'
                      neighborhood: Test
                    metadata:
                      - key: ID
                        value: '1234'
                    created_at: '2025-04-11T20:10:29.163144Z'
                    updated_at: '2025-04-11T20:10:29.163141Z'
                    merchant_customer_created_at: '2023-08-05T14:43:58.980718Z'
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: 94121f98-98f7-4d57-aa5f-228401d35b12
                  merchant_customer_id:
                    type: string
                    example: '1744402154'
                  first_name:
                    type: string
                    example: John
                  last_name:
                    type: string
                    example: Doe
                  gender:
                    type: string
                    example: F
                  date_of_birth:
                    type: string
                    example: '1990-02-28'
                  email:
                    type: string
                    example: john.doe2@gmail.com
                  nationality:
                    type: string
                    example: CO
                  country:
                    type: string
                    example: CO
                  document:
                    type: object
                    properties:
                      document_type:
                        type: string
                        example: CC
                      document_number:
                        type: string
                        example: '1010268952'
                  phone:
                    type: object
                    properties:
                      number:
                        type: string
                        example: '3132450765'
                      country_code:
                        type: string
                        example: '57'
                  billing_address:
                    type: object
                    properties:
                      address_line_1:
                        type: string
                        example: 'Calle 34 # 56 - 78'
                      address_line_2:
                        type: string
                        example: Apartamento 502, Torre I
                      country:
                        type: string
                        example: CO
                      state:
                        type: string
                        example: Cundinamarca
                      city:
                        type: string
                        example: Bogotá
                      zip_code:
                        type: string
                        example: '111111'
                      neighborhood:
                        type: string
                        example: Test
                  shipping_address:
                    type: object
                    properties:
                      address_line_1:
                        type: string
                        example: 'Calle 34 # 56 - 78'
                      address_line_2:
                        type: string
                        example: Apartamento 502, Torre I
                      country:
                        type: string
                        example: CO
                      state:
                        type: string
                        example: Cundinamarca
                      city:
                        type: string
                        example: Bogotá
                      zip_code:
                        type: string
                        example: '111111'
                      neighborhood:
                        type: string
                        example: Test
                  metadata:
                    type: array
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                          example: ID
                        value:
                          type: string
                          example: '1234'
                  created_at:
                    type: string
                    example: '2025-04-11T20:10:29.163144Z'
                  updated_at:
                    type: string
                    example: '2025-04-11T20:10:29.163141Z'
                  merchant_customer_created_at:
                    type: string
                    example: '2023-08-05T14:43:58.980718Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Unauthorized:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.